> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Saved Searches

> 
Retrieve a paginated list of saved searches for the project.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/session-filters
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/session-filters:
    get:
      tags:
        - Saved Searches
      summary: List Saved Searches
      description: |-

        Retrieve a paginated list of saved searches for the project.

        `page_size` defaults to 30, maximum 100.
      operationId: get_list_filters
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/SessionFilterReplicationInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: SessionFilterReplicationListResponse
                type: object
          description: >-
            SessionFilterReplicationListResponse(data:
            list[server.api_routes.session_filters_api_v2.SessionFilterReplicationInfo],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    SessionFilterReplicationInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        filter_model:
          additionalProperties:
            $ref: '#/components/schemas/WebApiFilter'
          title: Filter Model
          type: object
        is_team_filter:
          title: Is Team Filter
          type: boolean
        created_by:
          format: uuid
          title: Created By
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - name
        - filter_model
        - is_team_filter
        - created_by
        - created_at
      title: SessionFilterReplicationInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    WebApiFilter:
      properties:
        filterType:
          enum:
            - set
            - text
            - number
            - date
          title: Filtertype
          type: string
        type:
          default: null
          oneOf:
            - $ref: '#/components/schemas/FilterTypes'
            - type: 'null'
        filter:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          default: null
          title: Filter
        dateFrom:
          default: null
          title: Datefrom
          type:
            - string
            - 'null'
        dateTo:
          default: null
          title: Dateto
          type:
            - string
            - 'null'
        values:
          default: null
          title: Values
          items:
            type: string
          type:
            - array
            - 'null'
        filterTo:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          default: null
          title: Filterto
        conditions:
          default: null
          title: Conditions
          items:
            $ref: '#/components/schemas/MultiFilterConditions'
          type:
            - array
            - 'null'
        operator:
          default: null
          title: Operator
          enum:
            - AND
            - OR
          type:
            - string
            - 'null'
      required:
        - filterType
      title: WebApiFilter
      type: object
    FilterTypes:
      enum:
        - equals
        - notEqual
        - lessThan
        - lessThanOrEqual
        - greaterThan
        - greaterThanOrEqual
        - inRange
        - includes
        - contains
        - notContains
        - blank
        - notBlank
      title: FilterTypes
      type: string
    MultiFilterConditions:
      properties:
        type:
          title: Type
          type: string
        filter:
          title: Filter
          type: string
      required:
        - type
        - filter
      title: MultiFilterConditions
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````